<?PHP
/***************************************************************************\
*
*	Copyright (c) 2013 deltra Business Software GmbH & Co. KG
*	http://www.deltra.de
*	Zuletzt bearbeitet am: 2013-03-05
*
\***************************************************************************/

$GLOBALS['VERSION_SCF'] = "4.0.00";

//Erforderlich f�r Zugriff auf veyton config.php
define('_VALID_CALL','');

function starten()
{
	//�ber veyton config.php Verbindung zur Datenbank herstellen:
	if (file_exists(VEYTON_CONFIG)) {
		include VEYTON_CONFIG;
		$GLOBALS['sql_con'] = mysql_connect(_SYSTEM_DATABASE_HOST, _SYSTEM_DATABASE_USER, _SYSTEM_DATABASE_PWD);
		mysql_select_db(_SYSTEM_DATABASE_DATABASE, $GLOBALS['sql_con']);
	}// Verbindung zur Datenbank herstellen:
	else
	{
		die (xml_error_ausgeben($GLOBALS['err_msg']['shop_cfg'],__FILE__, __FUNCTION__, __LINE__));
	}//Fehlermeldung ausgeben
	
	$charset = mysql_client_encoding($GLOBALS['sql_con']);
		
	if($charset != 'utf8')
	{
		mysql_set_charset('utf8',$GLOBALS['sql_con']);
	}
}

function daten_holen()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet

	$GLOBALS['datakind'] = "1";

	#SQL Query f�r veyton4

	$GLOBALS['query'] ="SELECT
		  ".DB_PREFIX."_orders.orders_id as orderID,
		  ".DB_PREFIX."_orders.orders_id as BestellnummerShop,
		  ".DB_PREFIX."_orders.date_purchased as Bestelldatum,
		  ".DB_PREFIX."_orders.shipping_code as Lieferart,
		  ".DB_PREFIX."_orders.payment_code as Zahlungsart,
		  ".DB_PREFIX."_orders.orders_data as Bestelldaten,
		  ".DB_PREFIX."_orders_total.orders_total_price as FrachtkostenNetto,
		  ".DB_PREFIX."_orders_total.orders_total_tax as FrachtkostenMwStProzent,
		  ".DB_PREFIX."_orders.comments as AnmerkungenBestellung,
		  ".DB_PREFIX."_orders.customers_id as KundennummerWebshop,
		  ".DB_PREFIX."_customers_addresses.customers_gender as PersonGeschlecht,
		  ".DB_PREFIX."_customers_addresses.customers_company as Firmenname,
		  ".DB_PREFIX."_customers_addresses.customers_lastname as PersonNachname,
		  ".DB_PREFIX."_customers_addresses.customers_firstname as PersonVorname,
		  ".DB_PREFIX."_customers_addresses.customers_street_address as Strasse,
		  ".DB_PREFIX."_customers_addresses.customers_postcode as Postleitzahl,
		  ".DB_PREFIX."_customers_addresses.customers_city as Ort,
		  ".DB_PREFIX."_customers_addresses.customers_country_code as Laendercode,
		  ".DB_PREFIX."_orders.customers_email_address as Email,
		  ".DB_PREFIX."_customers_addresses.customers_phone as Telefon,
		  ".DB_PREFIX."_customers_addresses.customers_fax as Fax,
		  ".DB_PREFIX."_orders.customers_vat_id as Umsatzsteueridentnummer,
		  ".DB_PREFIX."_orders.delivery_company as abweichendLieferungFirmenname,
		  ".DB_PREFIX."_orders.delivery_lastname as abweichendLieferungPersNachname,
		  ".DB_PREFIX."_orders.delivery_firstname as abweichendLieferungPersVorname,
		  ".DB_PREFIX."_orders.delivery_street_address as abweichendLieferungStrasse,
		  ".DB_PREFIX."_orders.delivery_postcode as abweichendLieferungPostleitzahl,
		  ".DB_PREFIX."_orders.delivery_city as abweichendLieferungOrt,
		  ".DB_PREFIX."_orders.delivery_country_code as abweichendLieferungLaendercode,
		  ".DB_PREFIX."_orders.billing_company as abweichendRechnungFirmenname,
		  ".DB_PREFIX."_orders.billing_lastname as abweichendRechnungPersNachname,
		  ".DB_PREFIX."_orders.billing_firstname as abweichendRechnungPersVorname,
		  ".DB_PREFIX."_orders.billing_street_address as abweichendRechnungStrasse,
		  ".DB_PREFIX."_orders.billing_postcode as abweichendRechnungPostleitzahl,
		  ".DB_PREFIX."_orders.billing_city as abweichendRechnungOrt,
		  ".DB_PREFIX."_orders.billing_country_code as abweichendRechnungLaendercode,
		  ".DB_PREFIX."_orders_products.orders_products_id as Positionsnummer,
		  ".DB_PREFIX."_orders_products.products_model as ArtikelnummerShop,
		  ".DB_PREFIX."_orders_products.products_quantity as Menge,
		  ".DB_PREFIX."_orders_products.products_price as abweichenderEinzelpreisNetto,
		  ".DB_PREFIX."_orders_products.products_tax as abweichendeMwStProzent,
          ".DB_PREFIX."_orders_products.allow_tax as MwStFaellig,
		  ".DB_PREFIX."_orders_products.products_id as xProduktId
		 FROM ".DB_PREFIX."_orders
		 LEFT JOIN 
		  ".DB_PREFIX."_orders_products ON (".DB_PREFIX."_orders.orders_id = ".DB_PREFIX."_orders_products.orders_id)
		 LEFT JOIN
		  ".DB_PREFIX."_orders_total ON (".DB_PREFIX."_orders.orders_id = ".DB_PREFIX."_orders_total.orders_id AND ".DB_PREFIX."_orders_total.orders_total_key = 'shipping')
		 LEFT JOIN
		  ".DB_PREFIX."_customers_addresses ON (".DB_PREFIX."_customers_addresses.customers_id = ".DB_PREFIX."_orders.customers_id AND ".DB_PREFIX."_customers_addresses.address_class = 'default')
		 WHERE
		  ".DB_PREFIX."_orders.orders_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'
		 OR ".DB_PREFIX."_orders.orders_status = '".$GLOBALS["ADDITIONAL_ORDERS_STATUS_1"]."'
		 AND ".DB_PREFIX."_orders_total.orders_total_key is not null
		 ORDER BY orderID, Positionsnummer
		 ";
	return $GLOBALS['datakind'];
}

function row_ueberpruefen($row)
{
	# Anschrift �berarbeiten
	$row['Firmenname'] = htmlspecialchars($row['Firmenname']);
	$row['PersonNachname'] = htmlspecialchars($row['PersonNachname']);
	$row['PersonVorname'] = htmlspecialchars($row['PersonVorname']);
	$row['Strasse'] = htmlspecialchars($row['Strasse']);
	$row['Ort'] = htmlspecialchars($row['Ort']);
	$row['Land'] = htmlspecialchars($row['Land']);
	$row['Email'] = htmlspecialchars($row['Email']);
	$row['ArtikelnummerShop'] = htmlspecialchars($row['ArtikelnummerShop']);
	$row['AnmerkungenBestellung'] = htmlspecialchars($row['AnmerkungenBestellung']);
	
	# abeichende Rechnungsadresse
	$row['abweichendRechnungFirmenname'] = htmlspecialchars($row['abweichendRechnungFirmenname']);
	$row['abweichendRechnungPersNachname'] = htmlspecialchars($row['abweichendRechnungPersNachname']);
	$row['abweichendRechnungPersVorname'] = htmlspecialchars($row['abweichendRechnungPersVorname']);
	$row['abweichendRechnungStrasse'] = htmlspecialchars($row['abweichendRechnungStrasse']);
	$row['abweichendRechnungOrt'] = htmlspecialchars($row['abweichendRechnungOrt']);
	$row['abweichendRechnungLand'] = htmlspecialchars($row['abweichendRechnungLand']);
	
	# abweichende Lieferadresse
	$row['abweichendLieferungFirmenname'] = htmlspecialchars($row['abweichendLieferungFirmenname']);
	$row['abweichendLieferungPersNachname'] = htmlspecialchars($row['abweichendLieferungPersNachname']);
	$row['abweichendLieferungPersVorname'] = htmlspecialchars($row['abweichendLieferungPersVorname']);
	$row['abweichendLieferungStrasse'] = htmlspecialchars($row['abweichendLieferungStrasse']);
	$row['abweichendLieferungOrt'] = htmlspecialchars($row['abweichendLieferungOrt']);
	$row['abweichendLieferungLand'] = htmlspecialchars($row['abweichendLieferungLand']);
	
	# Geschlecht ermitteln
	$query = "Select customers_gender AS Geschlecht
             FROM ".DB_PREFIX."_customers_addresses
             WHERE customers_id = ".$row['KundennummerWebshop']."
             ";
	$qRes = mysql_query($query);

	if ($qRes)
	{
		$qRow = mysql_fetch_assoc($qRes);
		$row['PersonGeschlecht'] = $qRow['Geschlecht'];
	}// Das Geschlecht-Ermittlungsquery wurde erfolgreich ausgef�hrt
	
	
	# Anrede erg�nzen:
	if (($row["PersonAnrede"]=="") and (strtolower($row["PersonGeschlecht"])=="m"))
	{
		$row["PersonAnrede"] = "Herr";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht m�nnlich
	elseif (($row["PersonAnrede"]=="") and ((strtolower($row["PersonGeschlecht"])=="w") or ((strtolower($row["PersonGeschlecht"])=="f"))))
	{
		$row["PersonAnrede"] = "Frau";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht weiblich

	# Laender korrigieren...
	// ... Adresse
	if ((strtolower($row["Land"]) == "germany")) {$row["Land"] = "Deutschland";}
	if ((strtolower($row["Land"]) == "austria")) {$row["Land"] = "�sterreich";}
	if ((strtolower($row["Land"]) == "switzerland")){$row["Land"] = "Schweiz";}

	// ... Lieferadresse
	if ((strtolower($row["abweichendLieferungLand"]) == "germany"))	{$row["abweichendLieferungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendLieferungLand"]) == "austria")) {$row["abweichendLieferungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendLieferungLand"]) == "switzerland")) {$row["abweichendLieferungLand"] = "Schweiz";}

	// ... Rechnungsadresse
	if ((strtolower($row["abweichendRechnungLand"]) == "germany")) {$row["abweichendRechnungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendRechnungLand"]) == "austria")) {$row["abweichendRechnungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendRechnungLand"]) == "switzerland")) {$row["abweichendRechnungLand"] = "Schweiz";}
	
	// ... ISO L�nderk�rzel in ERP Format �bersetzen
	$row['Laendercode'] = LaenderkuerzelISO2OMX($row['Laendercode']);	
	$row['abweichendRechnungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendRechnungLaendercode']);
	$row['abweichendLieferungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendLieferungLaendercode']);

	# Ggf Produktattribute ber�cksichtigen
	/*
	$query =  "SELECT products_attributes.products_attributes_id, products_attributes.attributes_model ";
	$query .= "FROM products_attributes ";
	$query .= "INNER JOIN products_options_values ON ((products_attributes.`options_values_id` = products_options_values.`products_options_values_id`) and (`products_options_values`.`products_options_values_name`='" . $row['xProduktOptionsWert'] . "')) ";
	$query .= "INNER JOIN `products_options` ON ((`products_attributes`.`options_id` = `products_options`.`products_options_id`) and (`products_options`.`products_options_name`='" . $row['xProduktOption'] . "')) ";
	$query .= "WHERE (products_attributes.`products_id` = " . $row['xProduktId'] .")";
	$qRes = mysql_query($query);
	if ($qRes)
	{
		$AttributRow = mysql_fetch_assoc($qRes);
		$row['ArtikelnummerShop'] .= $AttributRow['attributes_model'];
	} // Es liegt ein Query Ergebnis vor
	*/
	
	# Nachnamegeb�hren ermitteln
	/*
	if (strtolower($row['Zahlungsart']) == 'cod')
	{
		$query = "SELECT value ";
		$query .= "FROM orders_total ";
		$query .= "WHERE (orders_id=" . $row['orderID'] . ") and (class='ot_cod_fee')";
		$qRes = mysql_query($query);
		if ($qRes)
		{
			$qRow = mysql_fetch_assoc($qRes);
			$row['ZuschlagkostenBrutto1'] = $qRow['value'];
		} // Das Nachnahmegeb�r ermittlungsquery wurde erfolgreich ausgef�hrt
	} // Es ist eine Nachname Zahlung
	*/
	
	# Zahlungsart "�bersetzen"
	if ($row["Zahlungsart"])
	{	
		//2010-11-10,HM, Zahlungsart aus Shop Konfigurationsdaten ermittelt.
		$query = "SELECT payment_name
					FROM ".DB_PREFIX."_payment_description
					WHERE language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."'
					AND payment_id = (
						SELECT payment_id
							FROM ".DB_PREFIX."_payment
							WHERE payment_code = (
								SELECT payment_code
									FROM ".DB_PREFIX."_orders
									WHERE orders_id = ".$row['orderID']."))";
		
		$qRes = mysql_query($query);
		
		if ($qRes)
		{
			$qRow = mysql_fetch_assoc($qRes);
			$row['Zahlungsart'] = $qRow['payment_name'];
			
		}// Zahlunsart erfolgreich ermittelt.
		else
		{
			$row['Zahlungsart'] = "unbekannt";
		}
	}
	
	# Frachtkosteneinstellungen
	$shipping_class = explode('_', $row['Lieferart']);
	$row['Lieferart'] = $shipping_class[0];
	$row['FrachtkostenBrutto'] = '';	
	
	# Frachtkosten bestimmen
	$query = "Select ".DB_PREFIX."_config.config_value, ";
	$query = DB_PREFIX."_tax_rates.tax_rate as FrachtkostenMwStProzent ";
	$query = "FROM configuration ";
	$query = "INNER JOIN ".DB_PREFIX."_tax_rates ON (".DB_PREFIX."_config.config_value = ".DB_PREFIX."_tax_rates.tax_rates_id) ";
	$query = "WHERE config_key = 'MODULE_SHIPPING_".strtoupper($row['Lieferart'])."_TAX_CLASS'";
					 
	$qRes = mysql_query($query);
	
	if ($qRes)
	{
		$qRow = mysql_fetch_assoc($qRes);
		$row['FrachtkostenMwStProzent'] = $qRow['FrachtkostenMwStProzent'];
		
	}// MwSt.-Ermittlungsquery wurde erfolgreich ausgef�hrt
	
	if ($row['FrachtkostenMwStProzent'] == '')
	{
		$row['FrachtkostenMwStProzent'] = '0.00';
	}
	
	
	# Preisartbestimmung:
	if ($row['MwStFaellig'])
	{
		$row['abweichenderEinzelpreisBrutto'] = $row["abweichenderEinzelpreisNetto"] * ( 1 + ($row['abweichendeMwStProzent'] / 100));
		$row['FrachtkostenBrutto'] = $row['FrachtkostenNetto'] * (1 + ($row['FrachtkostenMwStProzent'] / 100));
		$row['FrachtkostenNetto'] = "";
		$row['abweichenderEinzelpreisNetto'] = "";
	} // Wenn eine UStId vergeben ist, �bergibt xtcommerce Nettopreise statt wie sonst �blich Bruttopreise
	else
	{
		// $row['abweichenderEinzelpreisBrutto'] = $row["abweichenderEinzelpreisNetto"] * ( 1 + ($row['abweichendeMwStProzent'] / 100));
		// $row['FrachtkostenBrutto'] = $row['FrachtkostenNetto'] * (1 + ($row['FrachtkostenMwStProzent'] / 100));
		$row['abweichenderEinzelpreisBrutto'] = '';
		$row['FrachtkostenBrutto'] = '';
	}
	
	$row["Lieferart"] = 'ORGAMAX_OS_LIEFERART_' . strtoupper($row['Lieferart']);
	
	# Pr�fen ob Bestellung MwSt frei ist
	$query =  "SELECT orders_total_id ";
	$query .= "FROM ".DB_PREFIX."_orders_total ";
	$query .= "WHERE allow_tax = 1 AND orders_id = ".$row["BestellnummerShop"]."";
	$qRes = mysql_query($query);
	
	if(mysql_num_rows($qRes) == false)
	{
		$row['abweichendeMwStProzent'] = '0.00';
	}

	# MwStProzent
	if ($row['abweichendeMwStProzent'] == '')
	{
		$row['abweichendeMwStProzent'] = '0.00';
	}

	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	if ($GLOBALS["artno_handling"] == 1)
	{
		$row["Artikelnummer"] = $row["ArtikelnummerShop"];
	}// Wenn die Artikelnummer im Webshop gleich der Artikelnummer im ERP sein soll
	
	# Payment Info ermitteln
	if (!empty($row["Bestelldaten"]))
	{
		$bestelldaten = unserialize($row["Bestelldaten"]);
		$row["BankkontoInhaber"] = $bestelldaten["banktransfer_owner"];
		$row["BankkontoBankName"] = $bestelldaten["banktransfer_bank_name"];
		$row["BankkontoIBAN"] = $bestelldaten["banktransfer_iban"];
		$row["BankkontoBIC"] = $bestelldaten["banktransfer_bic"];
	}
	
	
	return $row;
}

function artikeldaten_orgamax_zu_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$Gewicht = 0.0;
            $articleNr =  $article->ArtikelnummerWebshop;
			
			// Artikelpreis formatieren
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			
			//Artikelgewicht formatieren
			if(!is_null($article->Gewicht))
			{
				$Gewicht = str_replace(',','.',$article->Gewicht);
			}
			
			//Pr�fen ob der Artikel vorhanden ist
			$selectQuery = "SELECT products_id FROM ".DB_PREFIX."_products WHERE products_model = '".$articleNr."'";
			
			$res = mysql_query($selectQuery);
			$amount = mysql_num_rows($res);
			$value = 0;
			if($amount > 0)
			{
				$value = mysql_result($res,0);
			}
			
			// MwStCode aus MwStValue ermitteln
			if($article->MwStValue > 0)
			{
				$query = "SELECT tax_class_id FROM ".DB_PREFIX."_tax_rates WHERE tax_rate = ".$article->MwStValue;
				$result = mysql_query($query);
				if(mysql_num_rows($result) > 0)
				{
					$MwStCode = mysql_result($result, 0);
					$article->MwStCode = $MwStCode;
				}
			}
			else
			{
				$article->MwStCode = 0;
			}
			
			$Artikelbeschreibung = strip_tags($article->Artikelbeschreibung);
			$Anmerkungen = $article->Anmerkungen;
			//Artikel nicht gefunden, neu anlegen
			if($value == 0)
			{
				$query  = "INSERT INTO ".DB_PREFIX."_products(products_model,products_tax_class_id,products_weight, products_price) ";
				$query .= "VALUES('".$articleNr."',".$article->MwStCode.",'".$Gewicht."','".$Preis."')";
				
				mysql_query($query);
				
				$selectQuery = "SELECT products_id FROM ".DB_PREFIX."_products WHERE products_model = '".$articleNr."'";
			
				$res = mysql_query($selectQuery);
				
				$value = mysql_result($res,0);
				
				//Kategorie ebene 0 hinzuf�gen (keine Kategorie)
				$insertCat = "INSERT INTO ".DB_PREFIX."_products_to_categories(products_id, categories_id) VALUES(".intval($value).",0)";
				
				$result = mysql_query($insertCat);
				
				$descQuery = "INSERT INTO ".DB_PREFIX."_products_description(products_id, products_name, products_description, language_code) ";
				$descQuery .= "VALUES(".intval($value).", '".$Artikelbeschreibung."', '".$Anmerkungen."', '".$GLOBALS["ARTIKELSPRACHE_VEYTON"]."')";
				
				$result = mysql_query($descQuery);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
			//Artikel vorhanden aktualisieren
			else
			{
				$query  = "UPDATE ".DB_PREFIX."_products SET products_model = '".$articleNr."', products_tax_class_id = ".$article->MwStCode.", ";
				$query .= "products_weight = '".$Gewicht."', products_price = '".$Preis."' WHERE products_id = ".$value."";
				
				mysql_query($query);
				
				$descQuery 	= "UPDATE ".DB_PREFIX."_products_description SET products_name = '".$Artikelbeschreibung."', products_description = '".$Anmerkungen."'";
				$descQuery .= " WHERE products_id = ".$value."";
				
				$result = mysql_query($descQuery);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
		}
		
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	
}

function setze_lagerbestand_im_shop()
{
	$articleFile = file_get_contents('php://input');
	$amount_successfully_created = 0;
	$amount_articles = 0;
	if($articleFile != null && strlen($articleFile) > 0) {
		
		$articles = simplexml_load_string(($articleFile));
		
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$articleNr =  $article->ArtikelnummerWebshop;
			$query  = "UPDATE ".DB_PREFIX."_products SET products_quantity = '".str_replace(',','.',$article->LagerBestandAktuell)."', products_average_quantity = '".str_replace(',','.',$article->LagerMindestBestand)."'";
			$query .= " WHERE products_model = '".$articleNr."'";
			
			$result = mysql_query($query);
			
			if($result)
			{
				$amount_successfully_created++;
			}
		}
		
		
	}
	WriteXMLResult($amount_articles,$amount_successfully_created);
	//Hier k�nnen Sie den Bestellstatusexport vom ERP zum Shop definieren
}

function pruefeOffeneBestellungenImShop()
{
	$query = "SELECT ".DB_PREFIX."_orders.orders_id FROM ".DB_PREFIX."_orders, ".DB_PREFIX."_orders_total WHERE orders_status = '".$GLOBALS['DEFAULT_ORDER_STATUS']."' AND ".DB_PREFIX."_orders_total.orders_total_key is not null";
	
	$result = mysql_query($query);
	
	if($result)
	{
		if(mysql_num_rows($result) > 0)
		{
			$value = mysql_result($result,0);
			if($value > 0)
			{
				echo 1;
			}
			else
			{
				echo 0;
			}
		}
		else
		{
			echo 0;
		}
	}
	else
	{
		echo 0;
	}
}

function hole_Artikelliste_fuer_export()
{
	$selectQuery = "SELECT products_model, products_name FROM ".DB_PREFIX."_products, ".DB_PREFIX."_products_description WHERE ".DB_PREFIX."_products.products_id = ".DB_PREFIX."_products_description.products_id AND language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."'";
	
	/** XML-Dokument erzeugen */
	$dom = new DomDocument('1.0');
	$dom->xmlStandalone = true;
	$dom->encoding="utf-8";
	
    $domArticles = $dom->appendChild($dom->createElement('ArtikelListeWebshop'));
	$result = mysql_query($selectQuery);
	
	if(mysql_num_rows($result) > 0)
	{
		while($article = mysql_fetch_assoc($result))
		{
			$domArticle = $domArticles->appendChild($dom->createElement('row'));
			Add_NewDocElement($dom, $domArticle, 'ArtikelnummerWebshop', $article["products_model"]);
			Add_NewDocElement($dom, $domArticle, 'Artikelbeschreibung', $article["products_name"]);
		}
	}
	
	 $dom->formatOutput = true;
	 //zur�ck geben
     echo $dom->saveXML();
}

function setze_Artikelpreise_im_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$articleNr =  $article->ArtikelnummerWebshop;
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			if($article->ArtikelPreisBeziehtSichAufMenge == 1)
			{
				$updateQuery = "UPDATE ".DB_PREFIX."_products SET products_price = '".$Preis."' WHERE products_model = '".$articleNr."'";
				
				$result = mysql_query($updateQuery);
				
				if($result > 0)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	//Funktion wird von veyton nicht unters�tzt (Staffelpreis)
}

function artikeldaten_shop_zu_orgamax()
{
	#Querytyp:
	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet
	
	$GLOBALS['datakind'] = "1";

	#SQL Query f�r veyton Artikel

	if ($GLOBALS['attributes_import'])
	{
		/**
		Nur wenn das veyton Plugin "Option- und Freitext-Modul" installiert ist.
		Ist das nicht der Fall, fehlt die Tabelle _plg_product_to_options, 
		weshalb dann der folgende Query mit einem Fehler beendet wird.
		*/
		$GLOBALS['query'] = "
		SELECT
			".DB_PREFIX."_products.products_id as productID,
			".DB_PREFIX."_products.products_model as ArtikelnummerWebshop,
			".DB_PREFIX."_products_description.products_name as Artikelbeschreibung,
			".DB_PREFIX."_tax_rates.tax_rate as MwStCode,
			".DB_PREFIX."_products.products_weight as Gewicht,
			".DB_PREFIX."_products.products_price as ArtikelpreisNetto,
			".DB_PREFIX."_system_status_description.status_name as Einheit,
			".DB_PREFIX."_plg_product_to_options.option_model AS Var_ArtikelnummerWebshop,
			".DB_PREFIX."_plg_product_to_options.option_p_prefix AS Var_Preis_Praefix,
			".DB_PREFIX."_plg_product_to_options.option_price AS Var_Preis,
			".DB_PREFIX."_plg_product_to_options.option_w_prefix AS Var_Gewicht_Praefix,
			".DB_PREFIX."_plg_product_to_options.option_weight AS Var_Gewicht,
			".DB_PREFIX."_plg_product_option_values_description.option_value_name AS Var_Wert
		FROM ".DB_PREFIX."_products
		LEFT JOIN
			".DB_PREFIX."_products_description ON (".DB_PREFIX."_products.products_id = ".DB_PREFIX."_products_description.products_id AND ".DB_PREFIX."_products_description.language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
		LEFT JOIN
			".DB_PREFIX."_system_status_description ON (".DB_PREFIX."_system_status_description.status_id = ".DB_PREFIX."_products.products_vpe AND ".DB_PREFIX."_system_status_description.language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
		LEFT JOIN
			".DB_PREFIX."_plg_product_to_options ON (".DB_PREFIX."_plg_product_to_options.products_id = ".DB_PREFIX."_products.products_id)
		LEFT JOIN
			".DB_PREFIX."_plg_product_option_values_description ON (".DB_PREFIX."_plg_product_option_values_description.option_value_id = ".DB_PREFIX."_plg_product_to_options.option_value_id AND ".DB_PREFIX."_plg_product_option_values_description.language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
		LEFT JOIN
			".DB_PREFIX."_tax_rates ON (".DB_PREFIX."_tax_rates.tax_class_id = ".DB_PREFIX."_products.products_tax_class_id)
		WHERE
			".DB_PREFIX."_tax_rates.tax_zone_id = (SELECT ".DB_PREFIX."_countries.zone_id FROM ".DB_PREFIX."_countries WHERE ".DB_PREFIX."_countries.countries_iso_code_2 = '".$GLOBALS['ISO_CODE']."') or ".DB_PREFIX."_tax_rates.tax_zone_id = 0
		ORDER BY
			".DB_PREFIX."_products.products_id";
	}   // Wenn Varianten als Artikel importiert werden sollen
        // ".DB_PREFIX."_plg_product_to_options.option_model AS Var_Wert_Name
	else
	{
		$GLOBALS['query'] = "
		SELECT
			".DB_PREFIX."_products.products_id as productID,
			".DB_PREFIX."_products.products_model as ArtikelnummerWebshop,
			".DB_PREFIX."_products_description.products_name as Artikelbeschreibung,
			
			".DB_PREFIX."_tax_rates.tax_rate as MwStCode,
			".DB_PREFIX."_products.products_weight as Gewicht,
			".DB_PREFIX."_products.products_price as ArtikelpreisNetto,
			".DB_PREFIX."_system_status_description.status_name as Einheit
		FROM ".DB_PREFIX."_products
		INNER JOIN
			".DB_PREFIX."_products_description ON (".DB_PREFIX."_products.products_id = ".DB_PREFIX."_products_description.products_id AND ".DB_PREFIX."_products_description.language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
		LEFT JOIN
			".DB_PREFIX."_system_status_description ON (".DB_PREFIX."_system_status_description.status_id = ".DB_PREFIX."_products.products_vpe AND ".DB_PREFIX."_system_status_description.language_code = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
		LEFT JOIN
			".DB_PREFIX."_tax_rates ON (".DB_PREFIX."_tax_rates.tax_class_id = ".DB_PREFIX."_products.products_tax_class_id)
		WHERE
			".DB_PREFIX."_tax_rates.tax_zone_id = (SELECT ".DB_PREFIX."_countries.zone_id FROM ".DB_PREFIX."_countries WHERE ".DB_PREFIX."_countries.countries_iso_code_2 = '".$GLOBALS['ISO_CODE']."') or ".DB_PREFIX."_tax_rates.tax_zone_id = 0
		ORDER BY
			".DB_PREFIX."_products.products_id";
	} // Wenn keine Attribute importiert werden sollen
	
	return $GLOBALS['datakind'];
	
}// artikeldaten_shop_zu_orgamax

function artRow_ueberpruefen($artRow)
{
	# Artikeltexte kodieren
	$artRow['ArtikelnummerWebshop'] = $artRow['ArtikelnummerWebshop'];
	$artRow['Artikelbeschreibung'] = strip_tags($artRow['Artikelbeschreibung']);
	$artRow['Anmerkungen'] = html_entity_decode($artRow['Anmerkungen'], ENT_QUOTES, 'utf-8');
	
	# MwSt richtig formatieren
	$artRow['MwStCode'] = (string)(double)$artRow['MwStCode'];
	$artRow['MwStValue'] = $artRow['MwStCode'];
	
	# Artikelkategorie ermitteln
	
	$query = "SELECT ".DB_PREFIX."_categories_description.categories_name as Artikelkategorie
             FROM ".DB_PREFIX."__products_to_categories
             INNER JOIN ".DB_PREFIX."_categories_description
                 ON (".DB_PREFIX."_products_to_categories.categories_id
                     = ".DB_PREFIX."_categories_description.categories_id
                 AND ".DB_PREFIX."_categories_description.language_code
                     = '".$GLOBALS['ARTIKELSPRACHE_VEYTON']."')
             WHERE ".DB_PREFIX."_products_to_categories.products_id
                     ='".$artRow["productID"]."'
                 AND ".DB_PREFIX."__products_to_categories.categories_id <> '0'";
	$qRes = mysql_query($query);
	
	if ($qRes)
	{
		while ($qRow = mysql_fetch_assoc($qRes))
		{
			$artRow["Artikelkategorie"] .= $qRow["Artikelkategorie"] . ";";
		} // Alle gefundenen Artikelkategorien durchgehen
		$artRow["Artikelkategorie"] = substr($artRow["Artikelkategorie"],0,strlen($artRow["Artikelkategorie"])-1);
	} // Wenn eine Artikelkategorie gefunden wurde
	
	# Artikelattribute ber�cksichtigen
	
	if ($GLOBALS['attributes_import'])
	{
		# Spalten umformen:
		
		if ($artRow["Var_ArtikelnummerWebshop"] <> "") 
		{
			$artRow["ArtikelnummerWebshop"] = htmlspecialchars($artRow["ArtikelnummerWebshop"].'-'.$artRow["Var_ArtikelnummerWebshop"]);
		}// Artikelnummer nur ab?ndern, wenn auch Attributs?nderungen vorhanden sind
		if ($artRow["Var_Wert"] <> "") 
		{
			$artRow["Artikelbeschreibung"] .= " " . htmlspecialchars($artRow["Var_Wert"]);
		}// Artikelbeschreibung nur ab?ndern, wenn auch Attributs?nderungen vorhanden sind
		if ($artRow["Var_Gewicht"] <> "")
		{
			if($artRow['Var_Gewicht_Praefix'] == '+')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] + (double)$artRow['Var_Gewicht'];
			}
			else if($artRow['Var_Gewicht_Praefix'] == '-')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] - (double)$artRow['Var_Gewicht'];
			}
		}// Artikelgewicht nur ab?ndern, wenn auch Attributs?nderungen vorhanden sind
		if ($artRow["Var_Preis"])
		{
			if($artRow['Var_Preis_Praefix'] == '+')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] + (double)$artRow['Var_Preis'];
			}
			else if($artRow['Var_Preis_Praefix'] == '-')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] - (double)$artRow['Var_Preis'];
			}
		}// Artikelpreis nur ab?ndern, wenn auch Attributs?nderungen vorhanden sind
		
	}// Wenn Artikelattribute erlaubt sind
	
	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	
	//$artRow["Artikelnummer"] = $artRow["ArtikelnummerWebshop"];
	// Wenn die Artikelnummer im Webshop gleich der Artikelnummer im ERP sein soll
	
	return $artRow;
	
}// article_row_ueberpruefen

function status_aendern($orderId)
{
	include_once "inc/config.php";
	$ShopStatus = $GLOBALS["aendern_zu"];
	
	$query = "SELECT orders_status FROM ".DB_PREFIX."_orders where orders_id=$orderId";
	$qRes = mysql_query($query);
	if ($qRes)
	{
		$row = mysql_fetch_assoc($qRes);
		if ($row['orders_status'] == $GLOBALS['DEFAULT_ORDERS_STATUS'])
		{
			$query = "UPDATE ".DB_PREFIX."_orders Set orders_status = '$ShopStatus' WHERE orders_id = '$orderId'";
			mysql_query($query);
			$error1 = mysql_error();
			$query = "INSERT INTO ".DB_PREFIX."_orders_status_history (orders_id, orders_status_id, date_added, comments) VALUES ($orderId, $ShopStatus, '" . date("Y-m-d H:i:s") . "', 'automatisch gesetzt durch ERP');";
			mysql_query($query);
			$error2 = mysql_error();
			if (($error1 == '') and ($error2 == ''))
			{
				die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' wurde auf '" . $ShopStatus . "' gesetzt."));
			} // Fehler
			else 
			{
				die(xml_error_ausgeben("Beim �ndern des Status der Bestellung '$orderId' auf den Wert '$ShopStatus' trat ein Fehler auf. Beim ersten Query meldete MySql '$error1' und beim zweiten '$error2'.", __FILE__, __FUNCTION__, __LINE__));
			}
		} // Der aktuelle status ist != 3
		else 
		{
			die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' durfte nicht ge�ndert werden, da er bereits den Status: ".$row['orders_status']." besitzt."));
		}
	} // Select query war erfolgreich
	else 
	{
		die(xml_error_ausgeben("Der Datensatz mit der Bestellnummer '" . $orderId . "' konnte nicht ermittelt werden.", __FILE__, __FUNCTION__, __LINE__));
	}
}

function ende()
{
	mysql_close($GLOBALS['sql_con']);
}
?>